'use strict';


const {sleep} = require('../utils');
const conf = require('../conf');
const {CJbot} = require('../model/minecraft');
const inventoryViewer = require('mineflayer-web-inventory');

const commands = require('./commands');
const {onJoin} = require('./player_list')

for(let name in conf.mc.bots){
	if(CJbot.bots[name]) continue;
	let bot = new CJbot({name, host: conf.mc.host, ...conf.mc.bots[name]});
	CJbot.bots[name] = bot;

	for(let command of conf.mc.bots[name].commands || ['default']){
		for(let [name, toAdd] of Object.entries(commands[command])){
			bot.addCommand(name, toAdd)
		}
	}

	bot.on('onReady', async function(argument) {
		// inventoryViewer(bot.bot);

		onJoin(bot);
		await sleep(1000);
		bot.bot.setControlState('jump', true);
		setTimeout(()=> bot.bot.setControlState('jump', false), 5000)

	})

	// bot.on('message', function(...args){
	// 	console.log('message | ', ...args)
	// })
}

(async ()=>{
try{
	for(let name in CJbot.bots){
		let bot = CJbot.bots[name];
		if(bot.autoConnect){
			console.log('Trying to connect', name)
			console.log('Status for', name, await bot.connect());

			await sleep(30000);
		}
	}
}catch(e){
	console.log('!!!!!!!! error:', e)
}})()


// module.exports = {bot: ez, henry, owen, linda, jimin, nova, ez};
